package xaero.rotatenjump.game.levels;

import xaero.rotatenjump.game.Game;
import xaero.rotatenjump.game.Level;
import xaero.rotatenjump.game.object.Accelerator;
import xaero.rotatenjump.game.object.Coin;
import xaero.rotatenjump.game.object.Katana;
import xaero.rotatenjump.game.object.Platform;
import xaero.rotatenjump.game.object.RelativityPlatform;
import xaero.rotatenjump.game.object.RotatingOnTouchWall;
import xaero.rotatenjump.game.object.Wall;

/**
 * Created by xaero on 10/07/2017.
 */

public class LevelX extends Level {

    public LevelX(){
        buttonText = "12";
        winOnAttach = true;
        scoreboardX = -500;
        scoreboardY = 0;
        threeStarTime = 1500;
    }

    @Override
    public void constructLevel(Game game) {
        super.constructLevel(game);
        game.gameStarted = false;
        deadlyDepth = 1000;
        add(game, new Coin(70, -90));
        add(game, new RelativityPlatform(0, -180, 7, 0, 20, -1.5f));
        add(game, new Coin(100, -180));
        add(game, new Coin(0, -270));
        add(game, new Platform(0, -330, 5, 0, 20, 1.5f));
        add(game, new Wall(200, -270, 90, 20, 300, 0));
        add(game, new Platform(180, -330, 4, 0, 20, 1.5f));
        add(game, new Coin(90, -360));
        add(game, new Katana(205, -400, -40, 0));
        add(game, new Coin(265, -360));
        add(game, new Katana(300, -400, 0, 3));
        add(game, new Platform(350, -330, 7, 0, 20, 1.5f));
        add(game, new Wall(50, -460, 90, 20, 490, 0));
        add(game, new Wall(-80, -355, 0, 20, 190, 0));
        add(game, new Platform(350, -420, 7, 0, 20, 1.5f));
        add(game, new RelativityPlatform(350, -510, 7, 0, 20, -1.5f));
        add(game, new Coin(440, -510));
        add(game, new Accelerator(500, -510, 180, 20));
        add(game, new Coin(265, -510));
        add(game, new Platform(180, -510, 4, 0, 20, 1.5f));
        add(game, new Platform(0, -510, 5, 0, 20, 1.5f));
        add(game, new Coin(90, -510));
        add(game, new Platform(-140, -510, 6, 0, 20, 1.5f));
        add(game, new RelativityPlatform(-270, -510, 7, 0, 20, 1.5f));
        add(game, new RotatingOnTouchWall(-185, -355, 0, 20, 130, -1.5f));
        add(game, new Coin(-110, -300));
    }
}
